Polygone Draft

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Polygon and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Page précédente: Draft Ellipse.svg Ellipse Draft
Page suivante: Rectangle Draft Draft Rectangle.svg Arrow-right.svg

Draft Polygon.svg Polygone Draft

Emplacement du menu
Draft → Polygone
Ateliers
AtelierDraft, Atelier Arch
Raccourci par défaut
P G
Introduit dans la version
0.7
Voir aussi
Cercle Draft


Description

L'outil Polygone crée un polygone régulier inscrit dans une circonférence en sélectionnant deux points, le centre et le rayon. Il utilise les Propriétés de ligne Draft définies dans la La barre Draft.

Draft polygon example.jpg

Polygone régulier défini par le centre et le rayon


Utilisation

  1. Appuyez sur le bouton Draft Polygon.png Polygone Draft ou appuyez sur les touches P puis G.
  2. Ajustez le nombre de côtés souhaité dans la boîte de dialogue des options.
  3. Cliquez sur un premier point de la vue 3D ou tapez une Coordonnée Draft et appuyez sur le bouton Draft AddPoint.svg Ajouter un point Draft.
  4. Cliquez sur un autre point de la vue 3D ou tapez une valeur de rayon pour définir le rayon du polygone.

Le polygone peut être modifié en double-cliquant sur l'élément dans la vue arborescente ou en appuyant sur le bouton Draft Edit.svg Editer Draft. Par la suite, vous pouvez déplacer le centre et les points de rayon vers une nouvelle position.

Le polygone est créé et inscrit dans un cercle du rayon spécifié. Il peut être basculé sur circonscrit après la création en modifiant sa propriété de mode d'affichage.

Le nombre de côtés du polygone peut également être modifié après la création en modifiant sa propriété du nombre de côtés.

Options

  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur Entrée entre chaque composante X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg Ajouter un point Draft lorsque vous avez les valeurs souhaitées pour insérer le point.
  • Appuyez sur T ou cochez la case pour passer en mode continue. Si le mode Continue est activé, l'outil Polygone redémarre une fois que vous l'avez terminé, vous permettant d'en dessiner un autre sans appuyer à nouveau sur le bouton de l'outil.
  • Appuyez sur L ou cliquez sur la case à cocher pour passer en mode filled. Si le mode rempli est activé, le polygone créera une face remplie (DONNÉESMake Face True) sinon le polygone n'aura pas de surface (DONNÉESMake Face False).
  • Maintenez la touche Ctrl pendant que vous dessinez pour forcer Accrochage votre point au point de capture le plus proche, indépendamment de la distance.
  • Maintenez Shift pendant que vous dessinez pour Contraindre Draft votre deuxième point horizontalement ou verticalement par rapport au premier.
  • Appuyez sur Echap ou sur le bouton Fermer pour annuler la commande en cours.

Propriétés

Données

  • DONNÉESRadius: spécifie le rayon du cercle qui définit le polygone.
  • DONNÉESDraw mode: spécifie si le polygone est inscrit dans un cercle ou circonscrit autour d'un cercle.
  • DONNÉESFace Number: spécifie le nombre de côtés du polygone.
  • DONNÉESChamfer Size: spécifie la taille des chanfreins (segments droits) créés aux coins du polygone.
  • DONNÉESFillet Radius: spécifie le rayon des congés (segments d'arc) créés aux coins du polygone.
  • DONNÉESMake Face: spécifie si la forme fait une surface ou non. En position True, une surface est créée. Sinon, seul le périmètre est considéré comme faisant partie de l'objet.

Vue

  • VUEPattern: spécifie un Pattern Draft avec lequel remplir la face du polygone. Cette propriété ne fonctionne que si DONNÉESMake Face est à True et si VUEDisplay Mode est "Lignes plates".
  • VUEPattern Size: spécifie la taille du Pattern Draft.

Script

Voir aussi: Draft API et FreeCAD scripts de base.

L'outil Polygone peut être utilisé dans une macro ainsi que dans la console Python en utilisant la commande :

Polygon = makePolygon(nfaces, radius=1, inscribed=True, placement=None, face=None, support=None)
  • Crée un objet Polygon avec le nombre de faces spécifié (nfaces) basé sur un cercle de radius en millimètres.
  • Si inscribed est à True, le polygone est inscrit dans le cercle, sinon il sera circonscrit.
    • L'un des sommets du polygone sera situé sur l'axe des X si aucun autre placement n'est indiqué.
  • Si un placement est donné, il est utilisé sinon la forme est créée à l'origine.
  • Si face est à True, la forme aura une surface, c'est-à-dire qu'elle apparaîtra remplie.

Exemple:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(4, radius=500)
Polygon2 = Draft.makePolygon(5, radius=750)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Polygon3 = Draft.makePolygon(6, radius=1450, placement=place3)
Arrow-left.svg Page précédente: Draft Ellipse.svg Ellipse Draft
Page suivante: Rectangle Draft Draft Rectangle.svg Arrow-right.svg